## Check that lldb does not crash if a core file does not contain an NT_ARM_TLS
## note while there are notes for other dynamic register sets.

# RUN: yaml2obj %s -o %t
# RUN: %lldb -c %t -o "re r -a" | FileCheck %s

# CHECK:      Pointer Authentication Registers:
# CHECK-NEXT:   data_mask =
# CHECK-NEXT:   code_mask =
# CHECK-NOT:  Thread Local Storage Registers:

--- !ELF
FileHeader:
  Class:        ELFCLASS64
  Data:         ELFDATA2LSB
  Type:         ET_CORE
  Machine:      EM_AARCH64
ProgramHeaders:
  - Type:       PT_NOTE
    FirstSec:   .note
    LastSec:    .note
Sections:
  - Name:       .note
    Type:       SHT_NOTE
    Notes:
      - Name:   CORE
        Desc:   0b00000000000000000000000b00000000000000000000000000000000000000389300001b930000389300001b930000000000000000000000000000000000000000000000000000e02e0000000000000000000000000000119100000000000000000000000000005ee100000000000000000000000000002f00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000400162e2ffff00005801400000000000200162e2ffff0000240140000000000000000000000000000100000000000000
        Type:   NT_PRSTATUS
      - Name:   LINUX
        Desc:   0000000000007f000000000000007f00
        Type:   NT_ARM_PAC_MASK
...
